#!/bin/bash
###################################################
#
#  OpenFOAM test job
#
###################################################
#
#PBS -N OFfoil1668base1
#PBS -A nn9191k
#PBS -l select=12:ncpus=32:mpiprocs=16
#PBS -l walltime=240:00:00


module load intelcomp/17.0.0
module load intelcomp/16.0.1
module load mpt/2.14
module load python/2.7.12
module load boost/1.62.0


module load gcc/4.9.1
module load mpt/2.13
module load openfoam/v1612+

export FOAM_EXT_LIBBIN="/sw/sdev/Modules/openfoam/ThirdParty-v1612+/platforms/linux64GccDPInt32/lib"
export LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:/sw/sdev/Modules/openfoam/ThirdParty-v1612+/platforms/linux64GccDPInt32/lib:/sw/sdev/Modules/openfoam/ThirdParty-v1612+/platforms/linux64GccDPInt32/lib/mpt-2.13"


cd /home/ntnu/benjamvh/OpenFOAM/benjamvh-v1612+/run/DTCfoil1668base1



rm -rf 0
cp -r 0.orig 0


#renumberMesh -overwrite > log.renumber3 2>&1
setFields  > log.setFields 2>&1
decomposePar > log.decomposePar 2>&1
mpiexec_mpt renumberMesh -overwrite -parallel > log.renumber4 2>&1
mpiexec_mpt interFoam -parallel > log.interFoam 2>&1
reconstructPar
